
Katello - Bug #4738

organization json does not include puppet environments and contains incorrectly named

katello_environments

03/20/2014 01:42 AM - Thomas McKay

Status: Resolved   

Priority: Normal   

Assignee:    

Category: API   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

organization show v2 api does not include puppet environments like it does domains ("domains"=>[{"id"=>1,

"name"=>"megacorp.com"}]). It does include katello_environments which may be related? If it is related, katello_environments should

be renamed to lifecycle_environments to match the api for them. (If not related, either include that fix here or open additional

redmine).

History

#1 - 03/20/2014 08:34 AM - Dominic Cleal

- Project changed from Foreman to Katello

- Category changed from API to API

Foreman core shows environments just fine on org#show, so probably a Katello issue.

#2 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#3 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#4 - 06/04/2014 12:04 PM - Eric Helms

- Triaged set to Yes

#5 - 12/21/2015 10:41 AM - Eric Helms

- Status changed from New to Resolved

In latest code, 2.4.0, organization rabl in Katello inherits from base taxonomy show.

#6 - 07/08/2016 11:10 AM - Eric Helms

- translation missing: en.field_release set to 166
